Subject: Re: [PATCH net-next v2 13/14] ixgbe: preserve RSS indirection table across admin down/up

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Oct 2025 16:10:06 -0700

On Tue, 21 Oct 2025 12:59:34 +0900 Kohei Enju wrote:
> For example, consider a scenario where the queue count is 8 with user
> configuration containing values from 0 to 7. When queue count changes
> from 8 to 4 and we skip the reinitialization in this scenario, entries
> pointing to queues 4-7 become invalid. The same issue applies when the
> RETA table size changes.

Core should reject this. See ethtool_check_max_channel()

> Furthermore, IIUC, adding netif_is_rxfh_configured() to the current
> condition wouldn't provide additional benefit. When parameters remain
> unchanged, regardless of netif_is_rxfh_configured(), we already preserve
> the RETA entries which might be user-configured or default values, 

User may decide to "isolate" (take out of RSS) a lower queue,
to configure it for AF_XDP or other form of zero-copy. Install
explicit rules to direct traffic to that queue. If you reset
the RSS table random traffic will get stranded in the ZC queue
(== dropped).